FoldingRemoteAdapter
Date: 2013-06-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.contentmanagement.gcubedocumentlibrary.streams.folding
Class FoldingRemoteAdapter<FROM,TO>

    java.lang.Object
      org.gcube.contentmanagement.gcubedocumentlibrary.streams.folding.FoldingAbstractAdapter<FROM,TO,java.lang.Exception>
          org.gcube.contentmanagement.gcubedocumentlibrary.streams.folding.FoldingRemoteAdapter<FROM,TO>

    public class FoldingRemoteAdapter<FROM,TO>

extends FoldingAbstractAdapter<FROM,TO,java.lang.Exception>

An `FoldingAbstractAdapter` with a `RemoteIterator` interface.

Author:
  Fabio Simeoni (University of Strathclyde)

Constructor Summary
`FoldingRemoteAdapter( rit, Filter<FROM,TO> f, IFaultPolicy<? extends java.lang.Exception> h, int s)` Creates an instance with a `RemoteIterator`, a `Filter`, and a `IFaultPolicy`.

Method Summary
`void` | `close()`
`boolean` | `hasNext()` Returns `true` if the stream has more elements.
`java.lang.String` | `locator()`
`java.util.List<TO>` | `next()` Returns the next element in the stream.

Methods inherited from class org.gcube.contentmanagement.gcubedocumentlibrary.streams.folding.FoldingAbstractAdapter
`inner`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FoldingRemoteAdapter

    public FoldingRemoteAdapter( rit,
                                Filter<FROM,TO> f,
                                IFaultPolicy<? extends java.lang.Exception> h,
                                int s)

  Creates an instance with a `RemoteIterator`, a `Filter`, and a `IFaultPolicy`.

  Parameters:
    `rit` - the iterator.
    `f` - the filter.
    `h` - the fault handler.

Method Detail

### hasNext

    public boolean hasNext()

  Returns `true` if the stream has more elements.

  Overrides:
    `hasNext` in class `FoldingAbstractAdapter<FROM,TO,java.lang.Exception>`
  Returns:
    `true` if the stream has more elements.

### next

    public java.util.List<TO> next()
                            throws java.lang.Exception

  Returns the next element in the stream.

  Overrides:
    `next` in class `FoldingAbstractAdapter<FROM,TO,java.lang.Exception>`
  Returns:
    the next element in the stream.
  Throws:
    `java.lang.Exception`

### close

    public void close()

### locator

    public java.lang.String locator()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD